import Home from '@/layouts/index.vue'

export default [
    {
		path: "/",
		component: Home,
		name: 'ApprovalList',
		hidden: false,
		icon_path: require('@/assets/img/home/custom_ico.png'),
		meta:{
			title:'审批管理',
		},
		children: [
            {
				path: "contractapprovallist",
				component: () => import("@/views/contract_manage/approvalList.vue"),
				name: "contractapprovallist",
				hidden: false,
				meta: {
					title:'合同审批',
					keepAlive: false
				}
			},
			{
				path: 'contractdetailapr',
				component: () => import('@/views/contract_manage/contractDetail.vue'),
				name: "contractdetailapr",
				hidden: false,
				meta: {
					title:'合同详情',
					pathFrom: 'contractapprovallist',
					pathName: '合同审批',
					keepAlive: false
				}
			},
			{
				path: 'contractdetaildcapr',
				component: () => import('@/views/contract_manage/contractDetailDC.vue'),
				name: "contractdetaildcapr",
				hidden: false,
				meta: {
					title:'代付合同详情',
					pathFrom: 'contractapprovallist',
					pathName: '合同审批',
					keepAlive: false
				}
			},
			{
				path: 'approvalList',
				component: () => import('@/views/custom_manage/approvalList.vue'),
				name: 'approvalList',
				hidden: false,
				meta: {
					title:'客户审批',
					keepAlive: false
				}
			},
			{
				path: "sealApprovalList",
				component: () => import('@/views/seal_manage/approvalList.vue'),
				name: 'sealApprovalList',
				hidden: false,
				meta: {
					title:'用印审批',
					keepAlive: false
				}
			},
			{
				path: "addSeal",
				component: () => import('@/views/seal_manage/updateSeal.vue'),
				name: 'addSeal',
				hidden: true,
				meta: {
					title:'新增用印',
					keepAlive: false
				}
			},
			{
				path: "editSeal",
				component: () => import('@/views/seal_manage/updateSeal.vue'),
				name: 'editSeal',
				hidden: true,
				meta: {
					title:'编辑用印',
					keepAlive: false
				}
			}
		]
	},
]