//出差管理路由模块
import Home from '@/layouts/index.vue'

export default [
    /* 销售管理 */
	{
		path: '/',
		component: Home,
		name: 'dataReport_manage',
		icon_path: require('@/assets/img/home/saller_ico.png'),
		meta: {
			title: "销售管理",
		},
		children: [
			{
				path: "sellerStatisticSeller",
				name: "sellerStatisticSeller",
				component: () => import('@/views/roadshow_manage/statistics/seller.vue'),
				meta: {
					title: "销售路演统计",
				},
			},
			{
				path: "sellerSpecialSeller",
				name: "sellerSpecialSeller",
				component: () => import('@/views/roadshow_manage/statistics/specialSeller.vue'),
				meta: {
					title: "专项路演统计",
				},
			},
			{
				path: 'sellerStatisticNewcustom',
				component: () => import('@/views/dataReport_manage/statistic/newCustom.vue'),
				name: 'sellerStatisticNewcustom',
				meta: {
					title: "新增客户统计",
				},
			},
			{
				path: 'sellerStatisticStockcustom',
				component: () => import('@/views/dataReport_manage/statistic/stockCustom.vue'),
				name: 'sellerStatisticStockcustom',
				meta: {
					title: "存量客户统计",
				},
			},
			{
				path: 'sellerStatisticContractcustom',
				component: () => import('@/views/dataReport_manage/statistic/contractCustom.vue'),
				name: 'sellerStatisticContractcustom',
				meta: {
					title: "续约客户统计",
				},
			},
			{
				path: 'newCustomlist',
				component: () => import('@/views/dataReport_manage/statistic/newCustomlist.vue'),
				name: 'newCustomlist',
				meta: {
					pathFrom: 'sellerStatisticNewcustom',
					pathName: '新增客户统计',
					title:'新增客户列表'
				},
				hidden: true
			},
			{
				path: 'contractCustomlist',
				component: () => import('@/views/dataReport_manage/statistic/newCustomlist.vue'),
				name: 'contractCustomlist',
				meta: {
					pathFrom: 'sellerStatisticContractcustom',
					pathName: '续约客户统计',
					title:'续约客户列表'
				},
				hidden: true
			},
			{
				path: 'sellerTodoTask',
				component: () => import('@/views/dataReport_manage/statistic/todoTask.vue'),
				name: 'sellerTodoTask',
				meta: {
					title:'销售To Do统计'
				},
			},			
			{
				path: 'todoTaskList',
				component: () => import('@/views/dataReport_manage/statistic/todoTaskList.vue'),
				name: 'todoTaskList',
				meta: {
					pathFrom: 'sellerTodoTask',
					pathName: '销售To Do统计',
					title:'客户任务列表'
				},
				hidden: true
			},
			{
				path: 'undoneTaskList',
				component: () => import('@/views/dataReport_manage/statistic/todoTaskList.vue'),
				name: 'undoneTaskList',
				meta: {
					pathFrom: 'sellerTodoTask',
					pathName: '销售To Do统计',
					title:'未完成任务列表'
				},
				hidden: true
			},
			{
				path: 'doingTaskList',
				component: () => import('@/views/dataReport_manage/statistic/todoTaskList.vue'),
				name: 'doingTaskList',
				meta: {
					pathFrom: 'sellerTodoTask',
					pathName: '销售To Do统计',
					title:'进行中任务列表'
				},
				hidden: true
			},
			{
				path:"ficcProductStatistic",
				component: () => import('@/views/dataReport_manage/statistic/ficcProduct.vue'),
				name: 'ficcProductStatistic',
				meta: {
					title: "分产品阅读统计",
				}
			},
			{
				path: 'ficcProductlist',
				component: () => import('@/views/dataReport_manage/statistic/ficcProductList.vue'),
				name: 'ficcProductlist',
				meta: {
					pathFrom: 'ficcProductStatistic',
					pathName: '分产品阅读统计',
					title:'分产品阅读客户列表'
				},
			},
			{
				path:"receiveCompanyPermission",
				name: 'receiveCompanyPermission',
				component: () => import('@/views/dataReport_manage/saleAuthManage.vue'),
				meta: {
					title: "添加客户权限",
				},
			},
			{
				path:"abnormalRenewal",
				name: 'abnormalRenewal',
				component: () => import('@/views/dataReport_manage/statistic/abnormalRenewal.vue'),
				meta: {
					title: "续约异常统计",
				},
			},
			{
				path: 'abnormalRenewalCustomlist',
				component: () => import('@/views/dataReport_manage/statistic/newCustomlist.vue'),
				name: 'abnormalRenewalCustomlist',
				meta: {
					pathFrom: 'abnormalRenewal',
					pathName: '续约异常统计',
					title:'续约异常客户列表'
				},
				hidden: true
			},
		]
	},
]